Skip to main content
GET
/
v1
/
patients
/
{patient_id}
/
timeline
Get Patient Timeline
curl --request GET \
  --url https://api.example.com/v1/patients/{patient_id}/timeline \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "sort_date": "<string>",
      "type": "<string>",
      "data": {
        "id": "<string>",
        "type": "<string>",
        "patient_id": "<string>",
        "description": "<string>",
        "metadata": {},
        "created_at": "<string>",
        "created_by": "<string>"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "total": 123,
    "page": 123,
    "limit": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

patient_id
string
required

Query Parameters

types[]
enum<string>[] | null
Available options:
event,
call,
message,
fax,
task,
form_submission
page
integer
default:1
Required range: x >= 1
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

data
(EventTimelineItem · object | CallTimelineItem · object | MessageTimelineItem · object | FaxTimelineItem · object | TaskTimelineItem · object | FormSubmissionTimelineItem · object)[]
required
pagination
Pagination · object
required

Pagination information for list responses.

Fields:

  • has_more: Whether more items exist beyond this page
  • total: Total number of items across all pages
  • page: Current page number (1-based)
  • limit: Number of items per page